[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CheckLst' (#lcl)

# TCustomCheckListBox.FontChanged

Recalculates the height for check box Items in the control when the Font is changed.

## Declaration

Source position: checklst.pas line 71

`protected procedure TCustomCheckListBox.FontChanged(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | TObject instance for the change notification.

## Description

FontChanged is an overridden method in TCustomListBox used to perform actions when the Font for the control has been changed. FontChanged calls the inherited method on entry. The value in ItemHeight is updated (at run-time) when the control Style is set to lbStandard.

## See also

TCustomListBox.ItemHeight |  | The default height for an item displayed in the list.
TCustomListBox.Style |  | Appearance of the list box (standard, owner-draw fixed, or owner-draw variable).
TWinControl.FontChanged |  | Implements the event handler signalled when the Font has been changed for the control.
TControl.Font |  | The font to be used for text display in this control.